package spojovaniodporu;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class SpojovaniOdporu {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        DvaOdpory odpory = new DvaOdpory(10, 20);
        odpory.zobrazVysledek();

        double r1 = 0, r2 = 0;
        Scanner sc = new Scanner(System.in);
        do {
            try {
                System.out.print("Zadej odpor R1: ");
                r1 = sc.nextDouble();
                System.out.print("Zadej odpor R2: ");
                r2 = sc.nextDouble();
            } catch (InputMismatchException e) {
                System.out.println("Zadej desetinne cislo.");
                sc.nextLine();
            }
        } while ((r1 <= 0) && (r2 <= 0));

        DvaOdpory odporyU = new DvaOdpory(r1, r2);
        odporyU.zobrazVysledek();
    }

}
